# Generated from raffle_v1-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name raffle_v1

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: A simple raffle game
License: MIT
URL: http://www.github.com/keeperofthenecklace
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.23
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-bundler)
BuildArch: noarch

%description
An admin sets up the raffle entry
requirements. Users must meet the raffle validation requirements setup by
the admin before entering into the game. Participants can enter into raffle
and win points.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.4-1
- Initial package
